Skip to main content
PUT
/
api
/
v1
/
resource-groups
/
{id}
Update a resource group's name, description, alert policy, inherited settings, and health threshold
curl --request PUT \
  --url https://api.devhelm.io/api/v1/resource-groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "alertPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "defaultFrequency": 43215,
  "defaultRegions": [
    "<string>"
  ],
  "defaultRetryStrategy": {
    "type": "<string>",
    "maxRetries": 123,
    "interval": 123
  },
  "defaultAlertChannels": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "defaultEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "healthThresholdValue": 50,
  "suppressMemberAlerts": true,
  "confirmationDelaySeconds": 300,
  "recoveryCooldownMinutes": 30
}
'
import requests

url = "https://api.devhelm.io/api/v1/resource-groups/{id}"

payload = {
"name": "<string>",
"description": "<string>",
"alertPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultFrequency": 43215,
"defaultRegions": ["<string>"],
"defaultRetryStrategy": {
"type": "<string>",
"maxRetries": 123,
"interval": 123
},
"defaultAlertChannels": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"defaultEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"healthThresholdValue": 50,
"suppressMemberAlerts": True,
"confirmationDelaySeconds": 300,
"recoveryCooldownMinutes": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
alertPolicyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
defaultFrequency: 43215,
defaultRegions: ['<string>'],
defaultRetryStrategy: {type: '<string>', maxRetries: 123, interval: 123},
defaultAlertChannels: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
defaultEnvironmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
healthThresholdValue: 50,
suppressMemberAlerts: true,
confirmationDelaySeconds: 300,
recoveryCooldownMinutes: 30
})
};

fetch('https://api.devhelm.io/api/v1/resource-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": 123,
    "name": "<string>",
    "slug": "<string>",
    "suppressMemberAlerts": true,
    "health": {
      "totalMembers": 123,
      "operationalCount": 123,
      "activeIncidents": 123,
      "failingCount": 123
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "alertPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "defaultFrequency": 123,
    "defaultRegions": [
      "<string>"
    ],
    "defaultRetryStrategy": {
      "type": "<string>",
      "maxRetries": 123,
      "interval": 123
    },
    "defaultAlertChannels": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "defaultEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "healthThresholdValue": 123,
    "confirmationDelaySeconds": 123,
    "recoveryCooldownMinutes": 123,
    "members": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "memberType": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "slug": "<string>",
        "subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "effectiveFrequency": "<string>",
        "uptime24h": 123,
        "chartData": [
          123
        ],
        "avgLatencyMs": 123,
        "p95LatencyMs": 123,
        "lastCheckedAt": "2023-11-07T05:31:56Z",
        "monitorType": "<string>",
        "environmentName": "<string>"
      }
    ]
  }
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Body

application/json

Request body for updating a resource group

name
string
required

Human-readable name for this group

Maximum string length: 255
description
string | null

Optional description; null clears the existing value

alertPolicyId
string<uuid> | null

Optional notification policy to apply for this group; null clears the existing value

defaultFrequency
integer<int32> | null

Default check frequency in seconds for members (30–86400); null clears

Required range: 30 <= x <= 86400
defaultRegions
string[] | null

Default regions for member monitors; null clears

Default regions for member monitors; null clears

defaultRetryStrategy
object | null

Default retry strategy for member monitors; null clears

defaultAlertChannels
string<uuid>[] | null

Default alert channel IDs for member monitors; null clears

Default alert channel IDs for member monitors; null clears

defaultEnvironmentId
string<uuid> | null

Default environment ID for member monitors; null clears

healthThresholdType
enum<string> | null

Health threshold type: COUNT or PERCENTAGE; null disables threshold

Available options:
COUNT,
PERCENTAGE
healthThresholdValue
number | null

Health threshold value; null disables threshold

Required range: 0 < x < 100
suppressMemberAlerts
boolean | null

Suppress member-level alert notifications; null preserves current value

confirmationDelaySeconds
integer<int32> | null

Confirmation delay in seconds; null clears

Required range: 0 <= x <= 600
recoveryCooldownMinutes
integer<int32> | null

Recovery cooldown in minutes; null clears

Required range: 0 <= x <= 60
managedBy
enum<string> | null

New attribution source: DASHBOARD, CLI, TERRAFORM, MCP, or API; null preserves current value.

Available options:
DASHBOARD,
CLI,
TERRAFORM,
MCP,
API

Response

OK

data
object
required

Resource group with health summary and optional member details